HtmlPanelBarItem (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlPanelBarItem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlPanelBarItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIPanelBarItem
                  org.richfaces.component.html.HtmlPanelBarItem

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlPanelBarItem

extends UIPanelBarItem

Component-Type org.richfaces.PanelBarItem Component-Family org.richfaces.PanelBarItem Renderer-Type org.richfaces.PanelBarItemRenderer Slider Panel Item

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlPanelBarItem()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getContentClass()` The component content style class Getter for contentClass
`java.lang.String` | `getContentStyle()` The component content style Getter for contentStyle
`java.lang.String` | `getExpanded()` Notifies that an element has to be expanded Getter for expanded
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeaderClass()` The component header style class Getter for headerClass
`java.lang.String` | `getHeaderClassActive()` The component header style class active Getter for headerClassActive
`java.lang.String` | `getHeaderStyle()` The component header style Getter for headerStyle
`java.lang.String` | `getHeaderStyleActive()` The component header style active Getter for headerStyleActive
`java.lang.String` | `getLabel()` Label text appears on a panel item header Getter for label
`java.lang.Object` | `getName()` Attribute defines item name Getter for name
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setContentClass(java.lang.String __contentClass)` The component content style class Setter for contentClass
`void` | `setContentStyle(java.lang.String __contentStyle)` The component content style Setter for contentStyle
`void` | `setExpanded(java.lang.String __expanded)` Notifies that an element has to be expanded Setter for expanded
`void` | `setHeaderClass(java.lang.String __headerClass)` The component header style class Setter for headerClass
`void` | `setHeaderClassActive(java.lang.String __headerClassActive)` The component header style class active Setter for headerClassActive
`void` | `setHeaderStyle(java.lang.String __headerStyle)` The component header style Setter for headerStyle
`void` | `setHeaderStyleActive(java.lang.String __headerStyleActive)` The component header style active Setter for headerStyleActive
`void` | `setLabel(java.lang.String __label)` Label text appears on a panel item header Setter for label
`void` | `setName(java.lang.Object __name)` Attribute defines item name Setter for name

Methods inherited from class org.richfaces.component.UIPanelBarItem
`getPanel, getRendersChildren`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelBarItem

    public HtmlPanelBarItem()

  Constructor to init default renderers

Method Detail

### setHeaderStyle

    public void setHeaderStyle(java.lang.String __headerStyle)

  The component header style Setter for headerStyle

  Parameters:
    `headerStyle` - - new value

### getHeaderStyle

    public java.lang.String getHeaderStyle()

  The component header style Getter for headerStyle

  Returns:
    headerStyle value from local variable or value bindings

### setContentStyle

    public void setContentStyle(java.lang.String __contentStyle)

  The component content style Setter for contentStyle

  Parameters:
    `contentStyle` - - new value

### getContentStyle

    public java.lang.String getContentStyle()

  The component content style Getter for contentStyle

  Returns:
    contentStyle value from local variable or value bindings

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

  The component header style class Setter for headerClass

  Parameters:
    `headerClass` - - new value

### getHeaderClass

    public java.lang.String getHeaderClass()

  The component header style class Getter for headerClass

  Returns:
    headerClass value from local variable or value bindings

### setHeaderClassActive

    public void setHeaderClassActive(java.lang.String __headerClassActive)

  The component header style class active Setter for headerClassActive

  Parameters:
    `headerClassActive` - - new value

### getHeaderClassActive

    public java.lang.String getHeaderClassActive()

  The component header style class active Getter for headerClassActive

  Returns:
    headerClassActive value from local variable or value bindings

### setContentClass

    public void setContentClass(java.lang.String __contentClass)

  The component content style class Setter for contentClass

  Parameters:
    `contentClass` - - new value

### getContentClass

    public java.lang.String getContentClass()

  The component content style class Getter for contentClass

  Returns:
    contentClass value from local variable or value bindings

### setLabel

    public void setLabel(java.lang.String __label)

  Label text appears on a panel item header Setter for label

  Specified by:
    `setLabel` in class `UIPanelBarItem`
  Parameters:
    `label` - - new value

### getLabel

    public java.lang.String getLabel()

  Label text appears on a panel item header Getter for label

  Specified by:
    `getLabel` in class `UIPanelBarItem`
  Returns:
    label value from local variable or value bindings

### setExpanded

    public void setExpanded(java.lang.String __expanded)

  Notifies that an element has to be expanded Setter for expanded

  Parameters:
    `expanded` - - new value

### getExpanded

    public java.lang.String getExpanded()

  Notifies that an element has to be expanded Getter for expanded

  Returns:
    expanded value from local variable or value bindings

### setHeaderStyleActive

    public void setHeaderStyleActive(java.lang.String __headerStyleActive)

  The component header style active Setter for headerStyleActive

  Parameters:
    `headerStyleActive` - - new value

### getHeaderStyleActive

    public java.lang.String getHeaderStyleActive()

  The component header style active Getter for headerStyleActive

  Returns:
    headerStyleActive value from local variable or value bindings

### setName

    public void setName(java.lang.Object __name)

  Attribute defines item name Setter for name

  Specified by:
    `setName` in class `UIPanelBarItem`
  Parameters:
    `name` - - new value

### getName

    public java.lang.Object getName()

  Attribute defines item name Getter for name

  Specified by:
    `getName` in class `UIPanelBarItem`
  Returns:
    name value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.